Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.edit
Class PCardEditablePanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.icm.client.panel.edit.CardEditablePanel
                      org.eclipse.higgins.ics.gwt.icm.client.panel.edit.PCardEditablePanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

public class PCardEditablePanel
extends CardEditablePanel

Author:
  Alexander Yuhimenko

Nested Class Summary
`static class` | `PCardEditablePanel.CrossCardEditorPanelItem`

Constructor Summary
`PCardEditablePanel(Card pcard)`

Method Summary
`void` | `drawTable()`
`SimpleButton` | `getMoreOptionsButton()`

Methods inherited from class org.eclipse.higgins.ics.gwt.icm.client.panel.edit.CardEditablePanel
`buildGroupPanel, getBodyTable, getCard, getCardImage, getCardName, getDialogBox, getLabelCardImage, getLabelCardName, getSaveChangesButton, getSaveChangesListener, setDialogBox, setSaveChangesButton, setSaveChangesListener`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PCardEditablePanel

    public PCardEditablePanel(Card pcard)

Method Detail

### drawTable

    public void drawTable()

### getMoreOptionsButton

    public SimpleButton getMoreOptionsButton()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD